import Foundation

enum SupportedLanguage: String, Codable {
    case german = "german"
    case english = "english"

    var gameSummarizer: GameSummarizer.Type {
        switch self {
        case .german:
            return GermanGameSummarizer.self
        case .english:
            return EnglishGameSummarizer.self
        }
    }
}
